Bug 129589 - [PATCH] openssl spec file doesn't understand armv5te(b) architectures
[PATCH] openssl spec file doesn't understand armv5te(b) architectures
Product: Fedora
Classification: Fedora
Component: openssl (Show other bugs)
xscale Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
: EasyFix, Patch
Depends On:
  Show dependency treegraph
Reported: 2004-08-10 13:29 EDT by Lennert Buytenhek
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-06 11:29:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Suggested fix. (512 bytes, patch)
2004-08-10 13:31 EDT, Lennert Buytenhek
no flags Details | Diff

  None (edit)
Description Lennert Buytenhek 2004-08-10 13:30:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
The openssl spec file doesn't know about the armv5te(b) architectures.
 This causes it to attempt to build the package as linux-elf on such
architectures, which then tries to assemble an x86 assembler file
using the ARM assembler, etc.

Fortunately, openssl itself does understand ARM.  Make the spec file
use sslarch linux-elf-arm, and all is well.

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Lennert Buytenhek 2004-08-10 13:31:21 EDT
Created attachment 102585 [details]
Suggested fix.
Comment 2 Tomas Mraz 2005-05-06 11:29:14 EDT
Not a supported architecture.

Note You need to log in before you can comment on or make changes to this bug.